This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 790713 - [FEAT] cli should output in xml
[FEAT] cli should output in xml
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kaushal
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-15 04:07 EST by Kaushal
Modified: 2014-08-24 20:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-02-15 04:07:23 EST
Enable cli to output data in xml
Comment 1 Anand Avati 2012-02-16 00:45:32 EST
CHANGE: http://review.gluster.com/2753 (cli: Enable output in XML) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Kaushal 2012-05-31 06:04:25 EDT
Tested on v3.3.0qa44. Appending '--xml' to a gluster command produces xml output.
Eg:
-!- ~ » gluster volume info test --xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><opRet>0</opRet><opErrno>0</opErrno><opErrstr></opErrstr><volInfo><volumes><volume><name>test</name><id>0fac9efa-3f73-4fea-9460-4df05f835e53</id><type>0</type><status>1</status><brickCount>1</brickCount><distCount>1</distCount><stripeCount>1</stripeCount><replicaCount>1</replicaCount><transport>0</transport><bricks><brick>arch:/export/test</brick></bricks><optCount>0</optCount><options/></volume><count>1</count></volumes></volInfo></cliOutput>

-!- ~ » gluster volume stop test --xml
Stopping volume will make its data inaccessible. Do you want to continue? (y/n) y
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><volStop><flags>0</flags><volname>test</volname></volStop></cliOutput>

-!- ~ » gluster volume status test --xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><opRet>-1</opRet><opErrno>0</opErrno><opErrstr>Volume test is not started</opErrstr><cliOp>volStatus</cliOp><output>Volume test is not started</output></cliOutput>

-!- ~ »

Note You need to log in before you can comment on or make changes to this bug.